[P] Infinite Shelter - Task #2749

Content: Economic Impact of Abortion Laws. Does pro-life policy increase supply of cheap labor?
2022-11-15 06:23 PM - victor piousbox

Status: New Start date: 2022-11-16
Priority: Normal Due date:

Assignee: % Done: 0%
Category: 1D Writing Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

A potentially interesting reference: https:/www.texastribune.org/2022/05/09/texas-republicans-roe-wade-abortion-adoptions/

History

#1 - 2022-11-15 06:23 PM - victor piousbox
- Project changed from Wasya Co to [P] Infinite Shelter

- Subject changed from Content: economic impact of abortion laws. Does this increase supply of cheap labor? to Content: Economic Impact of
Abortion Laws. Does pro-life policy increase supply of cheap labor?

- Category deleted (Content - 1D Writing)

#2 - 2022-11-26 12:47 PM - victor piousbox
- Category set to 1D Writing
